Name:          python-pbr
Version:       5.8.1
Release:       1mamba
Summary:       A library that injects some useful and sensible default behaviors into your setuptools run
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/pbr
Source:        https://pypi.debian.net/pbr/pbr-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(setuptools)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pbr-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pbr-%{version}-py*.egg-info
%{python_sitearch}/pbr-%{version}-py*.egg-info/*
%doc AUTHORS LICENSE

%changelog
* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- rebuilt with python3 and with distdeps

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created using the webbuild interface
